package com.yijia.integral.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yijia.integral.mapper.IntegralRuleDetailMapper;
import com.yijia.integral.domain.IntegralRuleDetail;
import com.yijia.integral.service.IIntegralRuleDetailService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author yijia
 * @date 2021-02-25
 */
@Service
public class IntegralRuleDetailServiceImpl implements IIntegralRuleDetailService 
{
    @Autowired
    private IntegralRuleDetailMapper integralRuleDetailMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public IntegralRuleDetail selectIntegralRuleDetailById(Long id)
    {
        return integralRuleDetailMapper.selectIntegralRuleDetailById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param integralRuleDetail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<IntegralRuleDetail> selectIntegralRuleDetailList(IntegralRuleDetail integralRuleDetail)
    {
        return integralRuleDetailMapper.selectIntegralRuleDetailList(integralRuleDetail);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param integralRuleDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertIntegralRuleDetail(IntegralRuleDetail integralRuleDetail)
    {
        return integralRuleDetailMapper.insertIntegralRuleDetail(integralRuleDetail);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param integralRuleDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateIntegralRuleDetail(IntegralRuleDetail integralRuleDetail)
    {
        return integralRuleDetailMapper.updateIntegralRuleDetail(integralRuleDetail);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteIntegralRuleDetailByIds(Long[] ids)
    {
        return integralRuleDetailMapper.deleteIntegralRuleDetailByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteIntegralRuleDetailById(Long id)
    {
        return integralRuleDetailMapper.deleteIntegralRuleDetailById(id);
    }
}
